/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef BLE_HANDLER_H
#define BLE_HANDLER_H
    
    #include "project.h"

   
    /* Definitions to know when the timestamp is internally updated or from smartphone */   
    #define FIX_PASSKEY                (1u)
    #define CLEAR_PASSKEY              (0u)
          

    typedef enum
    {
        ADVERTISEMENT_PUBLIC,
        ADVERTISEMENT_PRIVATE
    } ADVERTISEMENT_STATE;


    typedef enum
    {
        AUTHENTICATION_NOT_CONNECTED,
        AUTHENTICATION_WAITING_FOR_PASSKEY,
        AUTHENTICATION_PASSKEY_ENTERED,
        AUTHENTICATION_COMPLETE_BONDING_REQD,
        AUTHENTICATION_BONDING_COMPLETE,
        AUTHENTICATION_BONDING_REMOVE_WAITING_EVENT,
        AUTHENTICATION_BONDING_REMOVE_GO_AHEAD
    } AUTHENTICATION_STATE;


    void BLEHandler_vStart(void);
    void BLEHandler_vPrivacyTask(void);

    /* Getters and setters */
    void BLEHandler_vSetRemoveBondedData(uint8 u8Flag);

#endif

/* [] END OF FILE */
